> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update preferences

> Update customer preferences.



## OpenAPI

````yaml POST /customers/{centsCustomerId}/preferences/update
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /customers/{centsCustomerId}/preferences/update:
    post:
      description: Update customer preferences.
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - in: path
          name: centsCustomerId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                businessId:
                  type: number
                  format: float
                preferenceOptions:
                  properties: {}
                  additionalProperties:
                    items:
                      type: number
                      format: float
                    type: array
                  type: object
              required:
                - preferenceOptions
                - businessId
              type: object
              example:
                businessId: 155
                preferenceOptions:
                  '14':
                    - 1
                    - 2
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                required:
                  - success
                type: object
        '400':
          description: Customer ID in not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: Customer is required
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````